/*===========================================================================*/
static inline bool set_ioctl_frequency()
{
static struct iwreq iwrq;

if(scanlist[++scanlistcount] == 0) scanlistcount = 0;
memset(&iwrq, 0, sizeof(iwrq));
strncpy(iwrq.ifr_name, ifakt->ifname, IFNAMSIZ);
iwrq.u.freq.flags = IW_FREQ_FIXED;
printf("hop %d\n", scanlist[scanlistcount]);
iwrq.u.freq.m = scanlist[scanlistcount];
iwrq.u.freq.e = 6;
if(ioctl(fd_socket_ioctl, SIOCSIWFREQ, &iwrq) < 0) return false;
return true;
}
/*===========================================================================*/
static bool set_ioctl_monitor_mode()
{
static struct iwreq iwrq;

memset(&iwrq, 0, sizeof(iwrq));
iwrq.u.mode = IW_MODE_MONITOR;
strncpy(iwrq.ifr_name, ifakt->ifname, IFNAMSIZ);
if(ioctl(fd_socket_ioctl, SIOCSIWMODE, &iwrq) < 0) return false;
return true;
}
/*===========================================================================*/
static bool set_ioctl_interface_up()
{
struct ifreq ifrq;

memset(&ifrq, 0, sizeof(ifrq));
strncpy(ifrq.ifr_name, ifakt->ifname, IFNAMSIZ);
ifrq.ifr_flags = IFF_UP | IFF_BROADCAST | IFF_MULTICAST;
if(ioctl(fd_socket_ioctl, SIOCSIFFLAGS, &ifrq) < 0) return false;
return true;
}
/*===========================================================================*/
static bool set_ioctl_interface_down()
{
struct ifreq ifrq;

memset(&ifrq, 0, sizeof(ifrq));
strncpy(ifrq.ifr_name, ifakt->ifname, IFNAMSIZ);
ifrq.ifr_flags = IFF_BROADCAST | IFF_MULTICAST;
if(ioctl(fd_socket_ioctl, SIOCSIFFLAGS, &ifrq) < 0) return false;
return true;
}
/*===========================================================================*/
