/*===========================================================================*/
static void showinterfaces()
{
size_t c;
char *po = "N/A";
char *mode = "-";

qsort(iflist, ifc, IFINFOLIST_SIZE, sort_iflist_by_phyname);
fprintf(stdout, "\navailable wlan devices:\n\nphy idx hw-mac       virtual-mac  m ifname           driver (protocol)\n"
		"---------------------------------------------------------------------------------------------\n");
for(c = 0; c < ifc; c++)
	{
	if(((iflist +c)->iftype &IFTYPENLWE) == IFTYPEWE) po = "WIRELESS EXTENSIONS";
	else if(((iflist +c)->iftype &IFTYPENLWE) == IFTYPENL) po = "NETLINK";
	else if(((iflist +c)->iftype &IFTYPENLWE) == IFTYPENLWE) po = "WIRELESS EXTENSIONS & NETLINK";
	if(((iflist +c)->iftype &IFTYPEMON) == IFTYPEMON) mode = "+";
	fprintf(stdout, "%3d %3d %02x%02x%02x%02x%02x%02x %02x%02x%02x%02x%02x%02x %s %-*s %s (%s)\n", (iflist +c)->phyindex, (iflist +c)->ifindex,
		(iflist +c)->hwmac[0], (iflist +c)->hwmac[1], (iflist +c)->hwmac[2], (iflist +c)->hwmac[3], (iflist +c)->hwmac[4], (iflist +c)->hwmac[5],
		(iflist +c)->vimac[0], (iflist +c)->vimac[1], (iflist +c)->vimac[2], (iflist +c)->vimac[3], (iflist +c)->vimac[4], (iflist +c)->vimac[5],
		mode, IFNAMSIZ, (iflist +c)->ifname, (iflist +c)->driver, po);
	}
fprintf(stdout, "\n"
		"+ monitor mode available\n"
		"- no monitor mode available\n"
		"\n");
return;
}
/*===========================================================================*/
static void showfrequencies()
{
size_t c;
size_t cf = 0;

qsort(iflist, ifc, IFINFOLIST_SIZE, sort_iflist_by_phyname);
for(c = 0; c < ifc; c++)
	{
	fprintf(stdout, "\n%s default scan list: frequency [channel] tx-power", (iflist +c)->ifname);
	for(cf = 0; cf < (iflist +c)->cf; cf++)
		{
		if((iflist +c)->frequency[cf] == 0) continue;
		if(cf %4 == 0) fprintf(stdout, "\n");
		else  fprintf(stdout, "\t");
		fprintf(stdout, "%6d [%d] %.1f dBm", (iflist +c)->frequency[cf], (iflist +c)->channel[cf], 0.01 *(iflist +c)->txpwr[cf]);
		}
	fprintf(stdout, "\n");
	}
return;
}
/*===========================================================================*/
